# generate-mapping

## Building and using the code

To build the project and copy its dependencies, execute

```bash
$ mvn package
$ mvn dependency:copy-dependencies
```

The run the mapping generator, execute the following command:

```bash
$ java -jar generate-mapping.jar -f CSV file
```

Note that the CSV file (provided with the -f flag) is mandatory. The other options are:

- `-c <arg>` The filename for the R2RML configuration file (default = config.properties).
- `-f <arg>` The CSV file for which a R2RML mapping will be generated.
- `-h` Display help.
- `-m <arg>` The filename for the R2RML mapping file (default = mapping.ttl).

The generated mapping can be executed with an R2RML processor such as [R2RML-F](https://opengogs.adaptcentre.ie/debruync/r2rml).

## License
This implementation of R2RML is written by [Christophe Debruyne](http://www.christophedebruyne.be/).

This code is copyrighted by [ADAPT - Trinity College Dublin](http://www.adaptcentre.ie/) and released under the [MIT license](http://opensource.org/licenses/MIT).